	move.w	(a0)+,numfacesave	;number of points in face
	move.w	(a6)+,facecolor1
	move.w	(a6)+,facecolor2
	tst.w	hdf
	bmi	pdt
	move.w	(a0),d7
	add.w	d7,d7
	add.w	d7,d7
	move.w	(a2,d7.w),d1		;x1
	move.w	2(a2,d7.w),d2		;y1
	move.w	2(a0),d7
	add.w	d7,d7
	add.w	d7,d7
	move.w	(a2,d7.w),d3		;x1
	move.w	2(a2,d7.w),d4		;y1
	move.w	4(a0),d7
	add.w	d7,d7
	add.w	d7,d7
	move.w	(a2,d7.w),d5		;x1
	move.w	2(a2,d7.w),d6		;y1

	sub.w	d3,d1
	sub.w	d4,d2
	sub.w	d3,d5
	sub.w	d4,d6
	muls	d1,d6
	muls	d2,d5
	cmp.l	d5,d6
	blt	notvisible
pdt:
